@keyframes floatShadow {
    0% {
      transform: translateY(0px);
      box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
    }
    50% {
      transform: translateY(-5px);
      box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.3);
    }
    100% {
      transform: translateY(0px);
      box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
    }
}

.float-shadow {
    animation: floatShadow 0.6s ease-in-out infinite;
}

.bold {
    font-weight: 550;
}

#tela-chat-ativo {
    position: fixed;
    top: 0;
    right: 0;
    background-color: #fff;
    color: #fff;
    padding: 5px;
    width: 10%;
    min-width: 130px;
    height: 100%;
    z-index: 1000;
    display: none;
    overflow: auto;
    padding-bottom: 80px;
}

#container-chat-ativo #btn_chat_ativo {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #9b1814;
    padding: 10px;
    border-radius: 25px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
    display: flex;
    cursor: pointer;
    z-index: 1001;
}

#container-chat-ativo #btn_chat_ativo p{
    position: absolute;
    top: -19px;
    right: 0px;
    font-size: 12px;
    color: #ffffff;
    font-weight: 600;
    background-color: #9b1814;
    border-radius: 50%;
    padding: 1px 3px;
    display: none;
    align-items: center;
    text-align: center;
    min-width: 18px;
}

#chat_ativo_painel_icone {
    width: 25px;
    height: 25px;
}

.item-card-chat-ativo {
    width: 98%;
    height: 108px;
    background-color: white;
    border-radius: 7px;
    margin-bottom: 5px;
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
    position: relative;
    padding: 5px;
    cursor: pointer;
}

.item-card-chat-ativo p {
    font-size: 11px;
    color: #000;
    margin: 0px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.item-card-chat-ativo .situacao {
    background-color: #D7ECD5;
    padding: 0px 7px;
    margin: 5px 0px 0px 0px;
    border-radius: 8px;
}

.item-card-chat-ativo .situacao p{
    font-weight: 600;
}

.item-card-chat-ativo .idpedido {
    margin-top: 2px;
}

.item-card-chat-ativo .nome {
    margin-top: 2px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    display: flex;
    color: #000;
}

.item-card-chat-ativo .mensagem-pendente {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.item-card-chat-ativo .mensagem-pendente p{
    font-weight: 600;
}

.item-card-chat-ativo .mensagem-pendente .qtd-mensagem {
    background-color: #9b1814;
    color: #fff;
    border-radius: 5px;
    padding: 3px 5px;

}

#chat-flutuante {
    position: fixed;
    bottom: 10px;
    right: 80px;
    width: 350px;
    height: 550px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    z-index: 1002;
    display: none;
}

.chat-header {
    background: #9b1814;
    color: #fff;
    padding: 10px;
    font-size: 16px;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.chat-header button {
    background: transparent;
    border: none;
    color: white;
    font-size: 18px;
    cursor: pointer;
}

#chat-flutuante #chat_flutuante_btn_chat_tipo {
    display: none;
}

#chat-flutuante #chat_flutuante_btn_chat_tipo button{
    margin: 5px;
    height: 20px;
    font-size: 12px;
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
}

#chat-flutuante #iframe-chat {
    width: 100%;
    height: 93%;
    border-radius: 0 0 10px 10px;
}
